### Encoding: latin1

### Name: graph-operations2
### Title: More advanced operations on undirected and directed acyclic
###   graphs.
### Aliases: mcs mcsMAT rip ripMAT moralize moralizeMAT maxCliqueMAT jTree
###   print.ripOrder
### Keywords: utilities

### ** Examples


## Undirected graphs
##
ugr <- ug(~me+ve,~me+al,~ve+al,~al+an,~al+st,~an+st)
ugm <- as.adjMAT(ugr)
edges(ugr)
nodes(ugr)
mcs(ugr)
mcsMAT(ugm)
rip(ugr)
ripMAT(ugm)

maxClique(ugr)
maxCliqueMAT(ugm)

## Directed graphs
##
dagr <- dag(~me+ve,~me+al,~ve+al,~al+an,~al+st,~an+st)
edges(dagr)
nodes(dagr)
moralize(dagr)



